{% extends 'imx8mq-evk.jinja2' %}
{% set uboot_mac_addr = '00:04:9f:06:31:5e' %}
{% set connection_list = ['uart0'] %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set connection_commands = {'uart0': 'telnet dispatcher04 7134'} %}
{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub02 -m off -u 6',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command reboot --port 12',
'/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub02 -m sync -u 6'] %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command off --port 12',
'/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub02 -m off -u 6'] %}
{% set power_on_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command on --port 12',
'/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub02 -m sync -u 6'] %}

{% set environment = {
	'CHAMELIUM_IP': '10.7.0.96',
	'CHAMELIUM_REBOOT_ARG': '--hostname pdu19 --command reboot --port 4 --delay 20'
} %}
{# Chamelium serial: telnet dispatcher04 7136 #}

{# set usb_device_id = '009E3159' #}
{# set usb_vendor_id = '10c4' #}
{# set usb_product_id = 'ea70' #}
{# set device_info = [{'board_id': usb_device_id}] #}
{# dispatcher04-hub02 port 6 #}
{% set uuu_usb_otg_path = '1:1213' %}
{% set uuu_corrupt_boot_media_command = ['mmc dev 0', 'mmc erase 0 0x400', 'mmc dev 1', 'mmc erase 0 0x400'] %}
{% set ums_command = 'ums 0 mmc 1' %}
{% set uboot_mass_storage_device = '/dev/disk/by-id/usb-Linux_UMS_disk_0_111e61d6f32ef628-0:0' %}
{% set fastboot_serial_number = '111e61d6f32ef628' %}

{% set sync_to_lava = {'device_type': 'imx8mq-evk', 'worker': 'dispatcher04.lavalab', 'tags': ['chamelium'], 'aliases': []} %}